​

Retrieve cards in iteration

GET
https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations/{iteration_id}/cards

Returns the list of card records of an iteration. Each record links a card to the iteration. Requires the user to have access to the space.

Path parameters
NameTypeReference
space_uidrequiredstringSpace UID
iteration_idrequiredstringIteration ID
Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
statusstringFilter iteration card records by status: active or removed
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
iteration_id

string

ID of the iteration (UUID)
card_uid

string

UID of the card
added_by_uid

string

UID of the user who added the card to the iteration
removed_at

string

Timestamp when the card was removed from the iteration, null if still active
removed_by_uid

string

UID of the user who removed the card from the iteration
sort_order

number

Sort order of the card within the iteration
created

string

Creation timestamp
updated

string

Last update timestamp
400
DescriptionResponse typeExample
Invalid status filter valueObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Iteration not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations/{iteration_id}/cards' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!